TreeDragSource
Keywords: uk.ac.ic.doc.automed.xmlschema.tree.TreeDragSource class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.xmlschema.tree
Class TreeDragSource

    java.lang.Object
      uk.ac.ic.doc.automed.xmlschema.tree.TreeDragSource

All Implemented Interfaces:
  java.awt.dnd.DragGestureListener, java.awt.dnd.DragSourceListener, java.util.EventListener

    public class TreeDragSource

extends java.lang.Object
implements java.awt.dnd.DragSourceListener, java.awt.dnd.DragGestureListener

Constructor Summary
`TreeDragSource(javax.swing.JTree tree, int actions)`

Method Summary
`void` | `dragDropEnd(java.awt.dnd.DragSourceDropEvent dsde)`
`void` | `dragEnter(java.awt.dnd.DragSourceDragEvent dsde)`
`void` | `dragExit(java.awt.dnd.DragSourceEvent dse)`
`void` | `dragGestureRecognized(java.awt.dnd.DragGestureEvent dge)`
`void` | `dragOver(java.awt.dnd.DragSourceDragEvent dsde)`
`void` | `dropActionChanged(java.awt.dnd.DragSourceDragEvent dsde)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeDragSource

    public TreeDragSource(javax.swing.JTree tree,
                          int actions)

Method Detail

### dragGestureRecognized

    public void dragGestureRecognized(java.awt.dnd.DragGestureEvent dge)

  Specified by:
    `dragGestureRecognized` in interface `java.awt.dnd.DragGestureListener`

### dragEnter

    public void dragEnter(java.awt.dnd.DragSourceDragEvent dsde)

  Specified by:
    `dragEnter` in interface `java.awt.dnd.DragSourceListener`

### dragExit

    public void dragExit(java.awt.dnd.DragSourceEvent dse)

  Specified by:
    `dragExit` in interface `java.awt.dnd.DragSourceListener`

### dragOver

    public void dragOver(java.awt.dnd.DragSourceDragEvent dsde)

  Specified by:
    `dragOver` in interface `java.awt.dnd.DragSourceListener`

### dropActionChanged

    public void dropActionChanged(java.awt.dnd.DragSourceDragEvent dsde)

  Specified by:
    `dropActionChanged` in interface `java.awt.dnd.DragSourceListener`

### dragDropEnd

    public void dragDropEnd(java.awt.dnd.DragSourceDropEvent dsde)

  Specified by:
    `dragDropEnd` in interface `java.awt.dnd.DragSourceListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD